Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.security.owsproxy
Class StringReplacementTrigger

    java.lang.Object
      org.deegree.security.owsproxy.StringReplacementTrigger

All Implemented Interfaces:
  Trigger

    public class StringReplacementTrigger

extends Object
implements Trigger

Trigger for replacing string within requests and responses to OGC Web Service packed behind a owsProxy. At the moment replacements are just supported for responses to GetCapabilities requests.

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`StringReplacementTrigger(String replacements, String consideredRequests)`

Method Summary
`Object[]` | `doTrigger(Object caller, Object... values)` performs the action(s) defined by a concrete trigger.
`String` | `getName()` returns the name of the trigger
`void` | `setName(String name)` sets the name of the trigger

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringReplacementTrigger

    public StringReplacementTrigger(String replacements,
                                    String consideredRequests)

Parameters:
  `replacements` - list of replacement rules "{key1|value1}{key2|value2} ... {keyX|valueX}"
  `consideredRequests` - comma seperated list of request names to be considerded; e.g. "WMS:GetFeatureInfo,WMS:GetCapabilities,WFS:GetFeature"

Method Detail

### doTrigger

    public Object[] doTrigger(Object caller,
                              Object... values)

  Description copied from interface: `Trigger`
  performs the action(s) defined by a concrete trigger. The returned value must have the same structure as the passed parameter. A trigger may changes the values of the passed parameter(s) but do not change their type or structure

  Specified by:
    `doTrigger` in interface `Trigger`
  Parameters:
    `caller` - instance of calling class
    `values` - values passed from the calling method

### getName

    public String getName()

  returns the name of the trigger

  Specified by:
    `getName` in interface `Trigger`
  Returns:
    name of the trigger

### setName

    public void setName(String name)

  sets the name of the trigger

  Specified by:
    `setName` in interface `Trigger`
  Parameters:
    `name` - name of the trigger

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org